Package com.ocient.jdbc.proto

## Interface PlanProtocol.FrameSpecOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.FrameSpec`, `PlanProtocol.FrameSpec.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.FrameSpecOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.FrameSpec.FrameType` `getFrameType()` `.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`
`int` `getFrameTypeValue()` `.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`
`boolean` `getIncludePeers()` `bool include_peers = 2;`
`long` `getRelativeEnd()` `int64 relative_end = 4;`
`long` `getRelativeStart()` Only used for frame type interval

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getFrameTypeValue

    int getFrameTypeValue()

`.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`

Returns:
  The enum numeric value on the wire for frameType.

#### getFrameType

    PlanProtocol.FrameSpec.FrameType getFrameType()

`.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`

Returns:
  The frameType.

#### getIncludePeers

    boolean getIncludePeers()

`bool include_peers = 2;`

Returns:
  The includePeers.

#### getRelativeStart

    long getRelativeStart()

    Only used for frame type interval

`int64 relative_start = 3;`

Returns:
  The relativeStart.

#### getRelativeEnd

    long getRelativeEnd()

`int64 relative_end = 4;`

Returns:
  The relativeEnd.